Skip to main content
POST
Create Video Generation Task

Authorizations

Authorization
string
header
required

Use Bearer Token authentication Format: Authorization: Bearer sk-xxxxxx

Body

application/json

Video generation request

model
string

Model/Style ID

Example:

"kling-v1"

prompt
string

Text description prompt

Example:

"An astronaut stood up and walked"

image
string

Image input (URL or Base64)

Example:

"https://example.com/image.jpg"

duration
number

Video duration (seconds)

Example:

5

width
integer

Video width

Example:

1280

height
integer

Video height

Example:

720

fps
integer

Video frame rate

Example:

30

seed
integer

Random seed

Example:

20231234

n
integer

Number of videos to generate

Example:

1

response_format
string

Response format

Example:

"url"

user
string

User identifier

Example:

"user-1234"

metadata
object

Extended parameters (e.g., negative_prompt, style, quality_level, etc.)

Response

Success - Video generation task created

Video generation task submission response

task_id
string

Task ID

Example:

"abcd1234efgh"

status
string

Task Status

Example:

"queued"